Subject: [Mip6] [Updated] DHCP Option for Home Information Discovery in MIPv6

From: Heejin Jang <[email-masked]>
Date: Tue, 20 Jun 2006 09:25:41 +0900

Hello folks,
We posted an I-D that proposes new DHCP Options for Home Information
Discovery in MIPv6.

Kindly note that the previous version of this draft is 
"draft-jang-dhc-haopt-02.txt" but the name is slightly changed into
"draft-jang-mip6-hiopt-00.txt" while keeping almost the same contents.

The drafts referencing this draft such as
draft-ietf-mip6-bootstrapping-split-02.txt and
draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt need to be revised
accordingly.

We would appreciate to hear your comments.

-------------------------------------------------------------------- 
Document title : DHCP Option for Home Information Discovery in MIPv6
Working group  : MIP6 & DHC
Authors : Hee Jin Jang, Alper Yegin, JinHyeock Choi and Kuntal Chowdhury
Filename : draft-jang-mip6-hiopt-00.txt

 Abstract : 
   This draft defines a DHCP-based scheme to enable dynamic discovery of
   Mobile IPv6 home agent address, home address, and home subnet.  New
   DHCP options are defined to carry the information from a DHCP server 
   to the DHCP client running on the mobile node.

-----------------------------------------------------------------------

Regards
- Heejin Jang

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 19 Jun 2006 18:17:23 -0700

> We would appreciate to hear your comments.

when this draft was discussed in the MIP6 bootstrapping
design team, many people wanted to integrate the two DHCP
options into
draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt.
this was mainly because the options defined in the document
have limited applicability beyond the integrated scenario
solution document. the only other mechanism is to manually
configure the DHCP servers in the visited link with
information like home agent address, home address and home
prefix. this is a bad idea.

there was some opposition and we never reached an agreement.

so I suggest including these options into the integrated
scenario solution document for these options to get
standardized quickly.

Vijay

---

From: "Alper Yegin" <[email-masked]>
Date: Mon, 19 Jun 2006 22:36:21 -0700

Vijay,

As far as I remember you were the only one who didn't give up on pushing for
integration. It'd only be a circular discussion if I had repeated the
reasons for not bundling a bunch of protocol extensions in a single
document. 

But I hope this data point helps: WiMAX Forum NWG architecture is using
draft-jang. 

Alper

> -----Original Message-----
> From: Vijay Devarapalli [mailto:[email-masked]]
> Sent: Monday, June 19, 2006 6:17 PM
> To: Heejin Jang
> Cc: [email-masked]; [email-masked]
> Subject: Re: [Mip6] [Updated] DHCP Option for Home Information Discovery
> inMIPv6
> 
> Heejin Jang wrote:
> > Hello folks,

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 20 Jun 2006 10:48:51 -0700

Alper Yegin wrote:
> integration. 

I think you remember wrong.

It'd only be a circular discussion if I had repeated the
> reasons for not bundling a bunch of protocol extensions in a single

let the MIP6 WG hear the arguments again, since we couldn't
reach a conclusion in the design team.

> But I hope this data point helps: WiMAX Forum NWG architecture is using

in what context and how are they planning to use it? the
WiMAX forum NWG can still use the DHCP options wherever
they are defined.

Vijay

---

From: "Alper Yegin" <[email-masked]>
Date: Tue, 20 Jun 2006 11:27:23 -0700

> I think you remember wrong.

Can we hear from someone else who insists we shall bundle up the I-Ds?

> reach a conclusion in the design team.

You really want us to circle around, don't you :-)

> in what context and how are they planning to use it? 

The MIP info is brought to the DHCP server via RADIUS and delivered to the
MN via DHCP.

> the

Yes. And WiMAX Forum could also use it even if IETF had concatenated all of
the RFCs and I-Ds under a single document too.... This I-D being referenced
whereas the draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt wasn't is a
solid proof that the former I-D is useful without having to be integrated
into the latter.

> >>the only other mechanism is to manually

You know that one does not have to put DHCP servers on every subnet, instead
one can rely on DHCP relays. And that's the used technique for many
enterprise networks. So, I don't see why this is a bad idea.

Alper

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 20 Jun 2006 11:42:32 -0700

> You really want us to circle around, don't you :-)

well, now you want the MIP6 WG to adopt draft-jang as a WG document,
right? then you need to make a case for it.

> The MIP info is brought to the DHCP server via RADIUS and delivered to the

this is very bad. the draft that describes how to use DHCPv6 for MIP6
bootstrapping is draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt. 
not *any other* draft. WiMAX NWG needs to be told that. the following
figure in draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt very
important for someone to understand how to use DHCPv6 for MIP6
bootstrapping.

    The following diagram shows the network elements and layout in the
    integrated scenario:

                                       |
                   ASP(/MSP)           |   ASA/MSA(/MSP)
                                       |
                                       |
                   +-------+           |        +-------+
                   |       |           |        |       |
                   |AAAV   |-----------|--------|AAAH   |
                   |       |           |        |       |
                   |       |           |        |       |
                   +-------+           |        +-------+
                       |               |
                       |               |
                       |               |
                       |               |
                       |               |
                       |               |
                       |               |
                   +-----+    +------+ |
       +----+      |     |    |DHCP  | |
       | MN |------| NAS/|----|Server| |
       +----+      |Relay|    |      | |
                   +-----+    +------+ |
                                       |
                                       |
                   +--------+          |      +--------+
                   | HA     |          |      | HA     |
                   | in ASP |          |      |in MSP  |
                   +--------+          |      +--------+

> solid proof that the former I-D is useful without having to be integrated

I am afraid the WiMAX NWG is referring to the wrong document. the
use of DHCPv6 for MIP6 bootstrapping is defined in
draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt.

> enterprise networks. So, I don't see why this is a bad idea.

and DHCP relay messages cross firewalls and network boundaries?
come on...

Vijay

---

From: "Alper Yegin" <[email-masked]>
Date: Tue, 20 Jun 2006 12:51:48 -0700

> and DHCP relay messages cross firewalls and network boundaries?

I'm not talking about deploying DHCP across the Internet. Please see my text
above: enterprise networks.

Alper

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 20 Jun 2006 13:14:54 -0700 (PDT)

Hi Vijay, 
  In the current NWG document only draft-jang-dhc-haopt-01.txt is referred and draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt is not. The latter draft requires DHCP server to provide the bootstrap info while as Alper said in WiMAX forum NWG's current draft, the info is provided by the AAA server to the DHCP relay and then all you need is draft-jang. It seems like NWG is introducing yet another method of bootstrapping and is not following your advise. 
Regards,

--behcet

----- Original Message ----
From: Vijay Devarapalli <[email-masked]>
To: Alper Yegin <[email-masked]>
Cc: [email-masked]; Heejin Jang <[email-masked]>; [email-masked]
Sent: Tuesday, June 20, 2006 1:42:32 PM
Subject: Re: [Mip6] [Updated] DHCP Option for Home Information Discovery inMIPv6

                                       |

Vijay

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 20 Jun 2006 13:18:57 -0700

dropped DHC WG from the cc list.

Behcet Sarikaya wrote:
> Hi Vijay,
>   In the current NWG document only draft-jang-dhc-haopt-01.txt is 
> referred and draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt is not. 
> The latter draft requires DHCP server to provide the bootstrap info 
> while as Alper said in WiMAX forum NWG's current draft, the info is 
> provided by the AAA server to the DHCP relay and then all you need is 
> draft-jang. 

draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt also assumes
that a AAA protocol carries MIP6 bootstrap infrom the home AAA
server to the DHCPv6 server in the visited link. after that
DHCP is used by the mobile node to get the MIP6 bootstrap info
from the DHCP server.

 > It seems like NWG is introducing yet another method of
> bootstrapping and is not following your advise.

:)

Vijay

---

From: "Gerardo Giaretta" <[email-masked]>
Date: Wed, 21 Jun 2006 10:17:35 +0200

Alper,

just one question below in order to understand if there is a real
technical reason to keep the docs separated..

> The MIP info is brought to the DHCP server via RADIUS and delivered to the

Can you please explain which are the technical differences between the
solution in the DT draft for integrated scenario and the solution
developped in WiMAX?

I guess in WiMAX MIP info are brought to DHCP relay (i.e. NAS) and
then draft-jang is applied. Is this really different from what is
described in the DT draft?

--Gerardo

> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
>

---

From: "Alper Yegin" <[email-masked]>
Date: Wed, 21 Jun 2006 14:48:10 -0700

Gerardo,

I think it helps to understand the components of the full picture.

[a] Delivery of the info from home AAA to the NAS
[b] Delivery of the info from the NAS (DHCP relay) to the DHCP server.
[c] Delivery of the info from the DHCP server to the DHCP client
[d] Plumbing of all these components

[a], [b], and [c] are all protocol work. [d] is just informational. 

The document draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt covers [b]
and [d].

WiMAX does not use [b]. For that there is no need to have a normative
reference to draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt. It could
have an informative reference to it, but it does not have to.

Alper

> From: Gerardo Giaretta [mailto:[email-masked]]
> Sent: Wednesday, June 21, 2006 1:18 AM
> To: Alper Yegin
> Cc: Vijay Devarapalli; [email-masked]; Heejin Jang; [email-masked]
> Subject: Re: [dhcwg] RE: [Mip6] [Updated] DHCP Option for Home Information
> Discovery inMIPv6
> 
> Alper,
>

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 21 Jun 2006 15:09:50 -0700

> The document draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt covers [b]

section 3.6 and 3.7 of 
draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt seem to describe [c].

Vijay

>>>>>But I hope this data point helps: WiMAX Forum NWG architecture is
>>
>>using
>>
>>>>>draft-jang.
>>>>
>>>The MIP info is brought to the DHCP server via RADIUS and delivered to
>>
>>the
>>
>>>MN via DHCP.
>>>
>>
>>>Yes. And WiMAX Forum could also use it even if IETF had concatenated all
>>
>>of
>>
>>>the RFCs and I-Ds under a single document too.... This I-D being
>>
>>referenced
>>
>>>whereas the draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt wasn't
>>
>>is a
>>
>>>solid proof that the former I-D is useful without having to be
>>
>>integrated
>>
>>>into the latter.
>>>
>>>
>>>
>>>You know that one does not have to put DHCP servers on every subnet,
>>
>>instead
>>
>>>>>>Subject: Re: [Mip6] [Updated] DHCP Option for Home Information
>>
>>Discovery
>>
>>>>>>inMIPv6
>>>>>>
>>>>>>Heejin Jang wrote:
>>>>>>
>>>>>>
>>>>>>>Hello folks,
>>>>>>>We posted an I-D that proposes new DHCP Options for Home
>>
>>Information
>>
>>>>>>>Discovery in MIPv6.
>>>>>>>
>>>>>>>"draft-jang-mip6-hiopt-00.txt" while keeping almost the same
>>
>>contents.
>>
>>>>>>>draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt need to be
>>
>>revised
>>
>>>>>>>accordingly.
>>>>>>>

---

From: "James Kempf" <[email-masked]>
Date: Wed, 21 Jun 2006 15:25:06 -0700

Hi Alper,

> have an informative reference to it, but it does not have to.

I think this is a very good and clear description.

Lately, I've become really interested in seeing IETF do stuff that actually 
gets deployed. So, given that WiMax Forum doesn't need [b], do you think 
they might be willing to reference this document (and thereby we could see 
it deployed) if [b] were deleted?

            jak

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 21 Jun 2006 16:12:15 -0700

James Kempf wrote:
> Lately, I've become really interested in seeing IETF do stuff that 
> actually gets deployed. 

this is hard. IETF does not move fast enough when somebody
sees a problem in a particular deployment. we are better off
designing good solutions. ;)

So, given that WiMax Forum doesn't need [b], do
> you think they might be willing to reference this document (and thereby 
> we could see it deployed) if [b] were deleted?

draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt specifies
[b] because someone brought up an issue of the NAS and the
DHCP server being not on the same box. [b] is not used if
the NAS and the DHCP server are on the same box. it would be
good to know if in WiMAX the NAS and the DHCP server are on
the same box?

Vijay

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 21 Jun 2006 17:04:16 -0700 (PDT)

Hi Vijay,
The idea in the present WiMAX document is quite simple:
it uses EAP-PKMv2 (which is like 802.11i) authentication and during EAP transaction, they assume that AAA server determines that the MS is a CMIPv6 authorized user based on the AAA profile and it will include all the so-called bootstrapping info in the Access-Accept. Then MS can  use RFC 3736 to make a DHCP Information Request to DHCP Relay colocated with NAS and use draft-jang (extended now with HoA) and receive all the info to configure MIP6.  No DHCP server is involved.
  In this setup can you make a case for draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt?

Regards,

--behcet

----- Original Message ----
From: Alper Yegin <[email-masked]>
To: Gerardo Giaretta <[email-masked]>
Cc: [email-masked]; [email-masked]; Heejin Jang <[email-masked]>
Sent: Wednesday, June 21, 2006 4:48:10 PM
Subject: RE: [dhcwg] RE: [Mip6] [Updated] DHCP Option for Home Information Discovery inMIPv6

Gerardo,

Alper

---

From: "Alper Yegin" <[email-masked]>
Date: Wed, 21 Jun 2006 23:17:04 -0700

Hi James,

> actually

I presume you are suggesting splitting [b] from the
draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt to a separate document.

In fact this was my original proposal: To have separate documents.

At the end of the day, what matters for interoperability is [a], [b], and
[c]. These are the components we want the SDOs to use (normatively
referenced). [d] is informational.

Alper

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 22 Jun 2006 10:55:05 -0700

Behcet Sarikaya wrote:
> it uses EAP-PKMv2 (which is like 802.11i) authentication and during EAP 
> transaction, they assume that AAA server determines that the MS is a 
> CMIPv6 authorized user based on the AAA profile and it will include all 
> the so-called bootstrapping info in the Access-Accept. Then MS can  use 
> RFC 3736 to make a DHCP Information Request to DHCP Relay colocated with 
> NAS and use draft-jang (extended now with HoA) and receive all the info 
> to configure MIP6.  

the DHCP Relay replies to the MN without relaying the DHCP
request from the MN to a DHCP server? this is not allowed
with the current IETF specs.

>   In this setup can you make a case for 
> draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt?

as far as I am concerned,
draft-ietf-mip6-bootstrapping-integrated-dhc-01.txt
is the document that describes how to use DHCPv6 for MIPv6
bootstrapping. as for the setup in the WiMAX NWG, it is
something that doesn't conform to the IETF DHCP specs.

Vijay

> ------------------------------------------------------------------------
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 23 Jun 2006 02:28:02 +0800 (CST)

If DHCP relay has the information locally cached, why should it relay the request to DHCP server? DHCP server should be sync'ed, but that can be done separately.
DNS servers work this way also, right?

Regards,

--behcet
----- Original Message ----
From: Vijay Devarapalli <[email-masked]>
To: Behcet Sarikaya <[email-masked]>
Cc: Alper Yegin <[email-masked]>; Gerardo Giaretta <[email-masked]>; [email-masked]; Heejin Jang <[email-masked]>; [email-masked]
Sent: Thursday, June 22, 2006 12:55:05 PM
Subject: Re: [dhcwg] RE: [Mip6] [Updated] DHCP Option for Home Information Discovery inMIPv6

Vijay

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 22 Jun 2006 11:43:39 -0700

Behcet Sarikaya wrote:
> If DHCP relay has the information locally cached, why should it relay 
> the request to DHCP server? DHCP server should be sync'ed, but that can 
> be done separately.

thats how DHCP is defined. relay agents are supposed to relay
the DHCP requests from clients to the appropriate DHCP servers
and the replies from the servers to the clients.

I don't know which DHCP RFC specifies the relay agent
functionality.

> DNS servers work this way also, right?

DNS is a totally different protocol. no relevance here.

Vijay

> Cc: Alper Yegin <[email-masked]>; Gerardo Giaretta 
> <[email-masked]>; [email-masked]; Heejin Jang 
> <[email-masked]>; [email-masked]